RUNCON(1)

NUME
runcon - rulează comanda cu contextul de securitate specificat

SINOPSIS
runcon CONTEXT COMANDA [args]
runcon [ -c ] [-u UTILIZATOR] [-r ROL] [-t TIP] [-l INTERVAL] COMANDA [argumente]

DESCRIERE
Rulează COMANDA cu CONTEXTUL complet specificat sau cu contextul de securitate actual sau tranzitoriu modificat de unul sau mai multe dintre NIVEL, ROL, TIP și UTILIZATOR.

În cazul în care nu se specifică niciuna dintre opțiunile -c, -t, -u, -r sau -l, primul argument este utilizat drept context complet. Orice argumente suplimentare după COMANDA sunt interpretate ca argumente pentru comandă.

Numai contextele alese cu grijă au șanse de a fi executate cu succes.

Rulează un program într-un context de securitate SELinux diferit. Fără CONTEXT și nici COMANDĂ, imprimă contextul de securitate actual.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

CONTEXT
    Context de securitate complet

-c, --compute
    calculează contextul de tranziție al procesului înainte de modificare

-t, --type=TIP
    tip (pentru același rol ca și părintele)

-u, --user=UTILIZATOR
    identitatea utilizatorului

-r, --role=ROL
    rolul de implementat

-l, --range=INTERVAL
    interval de nivel de utilizat

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

  Starea de ieșire:

125 dacă însăși comanda runcon eșuează

126 dacă COMANDA este găsită, dar nu poate fi invocată

127 dacă COMANDA nu poate fi găsită

-   starea de ieșire a COMENZII în caz contrar

AUTOR
Scris de Russell Coker.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/runcon>
sau local rulând comanda: «info '(coreutils) runcon invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.